define('webdriverio-server/tests/helpers/destroy-app', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = destroyApp;

  function destroyApp(application) {
    _ember['default'].run(application, 'destroy');
  }
});
define('webdriverio-server/tests/helpers/ember-sortable/test-helpers', ['exports', 'ember-sortable/helpers/drag', 'ember-sortable/helpers/reorder'], function (exports, _emberSortableHelpersDrag, _emberSortableHelpersReorder) {});
define('webdriverio-server/tests/helpers/module-for-acceptance', ['exports', 'qunit', 'webdriverio-server/tests/helpers/start-app', 'webdriverio-server/tests/helpers/destroy-app'], function (exports, _qunit, _webdriverioServerTestsHelpersStartApp, _webdriverioServerTestsHelpersDestroyApp) {
  exports['default'] = function (name) {
    var options = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

    (0, _qunit.module)(name, {
      beforeEach: function beforeEach() {
        this.application = (0, _webdriverioServerTestsHelpersStartApp['default'])();

        if (options.beforeEach) {
          options.beforeEach.apply(this, arguments);
        }
      },

      afterEach: function afterEach() {
        if (options.afterEach) {
          options.afterEach.apply(this, arguments);
        }

        (0, _webdriverioServerTestsHelpersDestroyApp['default'])(this.application);
      }
    });
  };
});
define('webdriverio-server/tests/helpers/owner', ['exports', 'ember'], function (exports, _ember) {

  var Owner = undefined;

  if (_ember['default']._RegistryProxyMixin && _ember['default']._ContainerProxyMixin) {
    Owner = _ember['default'].Object.extend(_ember['default']._RegistryProxyMixin, _ember['default']._ContainerProxyMixin);
  } else {
    Owner = _ember['default'].Object.extend();
  }

  exports['default'] = Owner;
});
/**
 * @reference https://github.com/emberjs/data/blob/master/tests/helpers/owner.js
 */
define('webdriverio-server/tests/helpers/resolver', ['exports', 'webdriverio-server/resolver', 'webdriverio-server/config/environment'], function (exports, _webdriverioServerResolver, _webdriverioServerConfigEnvironment) {

  var resolver = _webdriverioServerResolver['default'].create();

  resolver.namespace = {
    modulePrefix: _webdriverioServerConfigEnvironment['default'].modulePrefix,
    podModulePrefix: _webdriverioServerConfigEnvironment['default'].podModulePrefix
  };

  exports['default'] = resolver;
});
define('webdriverio-server/tests/helpers/start-app', ['exports', 'ember', 'webdriverio-server/app', 'webdriverio-server/config/environment'], function (exports, _ember, _webdriverioServerApp, _webdriverioServerConfigEnvironment) {
  exports['default'] = startApp;

  function startApp(attrs) {
    var application = undefined;

    var attributes = _ember['default'].merge({}, _webdriverioServerConfigEnvironment['default'].APP);
    attributes = _ember['default'].merge(attributes, attrs); // use defaults, but you can override

    _ember['default'].run(function () {
      application = _webdriverioServerApp['default'].create(attributes);
      application.setupForTesting();
      application.injectTestHelpers();
    });

    return application;
  }
});
define('webdriverio-server/tests/helpers/store', ['exports', 'ember', 'ember-data', 'webdriverio-server/tests/helpers/owner'], function (exports, _ember, _emberData, _webdriverioServerTestsHelpersOwner) {
  exports['default'] = setupStore;
  exports.createStore = createStore;

  function setupStore(options) {
    var container, registry, owner;
    var env = {};
    options = options || {};

    if (_ember['default'].Registry) {
      registry = env.registry = new _ember['default'].Registry();
      owner = _webdriverioServerTestsHelpersOwner['default'].create({
        __registry__: registry
      });
      container = env.container = registry.container({
        owner: owner
      });
      owner.__container__ = container;
    } else {
      container = env.container = new _ember['default'].Container();
      registry = env.registry = container;
    }

    env.replaceContainerNormalize = function replaceContainerNormalize(fn) {
      if (env.registry) {
        env.registry.normalize = fn;
      } else {
        env.container.normalize = fn;
      }
    };

    var adapter = env.adapter = options.adapter || '-default';
    delete options.adapter;

    if (typeof adapter !== 'string') {
      env.registry.register('adapter:-ember-data-test-custom', adapter);
      adapter = '-ember-data-test-custom';
    }

    for (var prop in options) {
      registry.register('model:' + _ember['default'].String.dasherize(prop), options[prop]);
    }

    registry.register('service:store', _emberData['default'].Store.extend({
      adapter: adapter
    }));

    registry.optionsForType('serializer', { singleton: false });
    registry.optionsForType('adapter', { singleton: false });
    registry.register('adapter:-default', _emberData['default'].Adapter);

    registry.register('serializer:-default', _emberData['default'].JSONSerializer);
    registry.register('serializer:-rest', _emberData['default'].RESTSerializer);

    registry.register('adapter:-rest', _emberData['default'].RESTAdapter);

    registry.register('adapter:-json-api', _emberData['default'].JSONAPIAdapter);
    registry.register('serializer:-json-api', _emberData['default'].JSONAPISerializer);

    env.restSerializer = container.lookup('serializer:-rest');
    env.store = container.lookup('service:store');
    env.serializer = env.store.serializerFor('-default');
    env.adapter = env.store.get('defaultAdapter');

    return env;
  }

  exports.setupStore = setupStore;

  function createStore(options) {
    return setupStore(options).store;
  }
});
/**
 * @reference https://github.com/emberjs/data/blob/master/tests/helpers/store.js
 */
define('webdriverio-server/tests/test-helper', ['exports', 'webdriverio-server/tests/helpers/resolver', 'ember-mocha'], function (exports, _webdriverioServerTestsHelpersResolver, _emberMocha) {

  var flag = chai.util.flag;

  // Taken from chai-jquery
  chai.Assertion.addMethod('class', function (className) {
    this.assert(flag(this, 'object').hasClass(className), 'expected #{this} to have class #{exp}', 'expected #{this} not to have class #{exp}', className);
  });

  // Taken from chai-jquery
  chai.Assertion.overwriteChainableMethod('contain', function (_super) {
    return function (text) {
      var obj = flag(this, 'object');
      if ('jquery' in obj) {
        this.assert(obj.is(':contains(\'' + text + '\')'), 'expected #{this} to contain #{exp}', 'expected #{this} not to contain #{exp}', text);
      } else {
        _super.apply(this, arguments);
      }
    };
  }, function (_super) {
    return function () {
      _super.call(this);
    };
  });

  (0, _emberMocha.setResolver)(_webdriverioServerTestsHelpersResolver['default']);
});
define('webdriverio-server/tests/unit/adapters/application-test', ['exports', 'chai', 'ember-mocha', 'mocha'], function (exports, _chai, _emberMocha, _mocha) {

  (0, _emberMocha.describeModule)('adapter:application', 'ApplicationAdapter', {
    unit: true
  }, function () {
    var adapter = undefined;

    (0, _mocha.beforeEach)(function () {
      adapter = this.subject();
    });

    (0, _emberMocha.it)('has correct namespace', function () {
      (0, _chai.expect)(adapter.namespace).to.equal('');
    });
  });
});
define('webdriverio-server/tests/unit/controllers/auth/contract-test', ['exports', 'chai', 'ember-mocha'], function (exports, _chai, _emberMocha) {

  (0, _emberMocha.describeModule)('controller:auth/contract', 'ContractController', {
    unit: true
  }, function () {
    // Replace this with your real tests.
    var controller = undefined,
        sandbox = undefined;
    beforeEach(function () {
      sandbox = sinon.sandbox.create();
      controller = this.subject();
    });

    afterEach(function () {
      sandbox.restore();
    });

    describe('onInit', function () {
      (0, _emberMocha.it)('should initialize checked to false', function () {
        (0, _chai.expect)(controller.get('checked')).to.equal(false);
      });
      (0, _emberMocha.it)('should initialize confirmed to false', function () {
        (0, _chai.expect)(controller.get('confirmed')).to.equal(false);
      });
      (0, _emberMocha.it)('should initialize disabled to be the opposite of checked', function () {
        (0, _chai.expect)(controller.get('disabled')).to.equal(true);
      });
      (0, _emberMocha.it)('should initialize the token to be the empty string', function () {
        (0, _chai.expect)(controller.get('token')).to.equal('');
      });
    });

    describe('onInputHandler()', function () {
      beforeEach(function () {
        controller.actions.onInputHandler.call(controller);
      });
      (0, _emberMocha.it)('should toggle the checked property', function () {
        (0, _chai.expect)(controller.get('checked')).to.equal(true);
      });
      (0, _emberMocha.it)('should set the disabled property to the opposite of the checked property', function () {
        (0, _chai.expect)(controller.get('disabled')).to.equal(!controller.get('checked'));
      });
    });

    describe('submitForm()', function () {
      var record = {
        username: 'pastorsj',
        token: 'itsarandomthirtycharactertoken'
      };

      describe('Successful, no redirect Case', function () {
        beforeEach(function () {
          sandbox.stub(Ember.$, 'post', function (route, cb) {
            cb(record);
          });
          controller.actions.submitForm.call(controller);
        });
        (0, _emberMocha.it)('should set the username as the username property', function () {
          (0, _chai.expect)(controller.get('username')).to.equal(record.username);
        });

        (0, _emberMocha.it)('should set the token as the token property', function () {
          (0, _chai.expect)(controller.get('token')).to.equal(record.token);
        });

        (0, _emberMocha.it)('should make a post call with the correct arguments', function () {
          (0, _chai.expect)(Ember.$.post.lastCall.args[0]).to.equal('/auth/contract');
        });
      });

      describe('Redirect Case', function () {
        beforeEach(function () {
          sandbox.stub(Ember.$, 'post', function (route, cb) {
            cb({ redirect: '/#/auth/denied?reason=1' });
          });
          sandbox.stub(controller, 'transitionToRoute');
          controller.actions.submitForm.call(controller);
        });
        (0, _emberMocha.it)('should call transitionToRoute with the correct arguments', function () {
          (0, _chai.expect)(controller.transitionToRoute.lastCall.args[0]).to.equal('auth.denied');
          (0, _chai.expect)(controller.transitionToRoute.lastCall.args[1]).to.eql({ queryParams: { reason: '1' } });
        });

        (0, _emberMocha.it)('should make a post call with the correct arguments', function () {
          (0, _chai.expect)(Ember.$.post.lastCall.args[0]).to.equal('/auth/contract');
        });
      });

      describe('Failure Case', function () {
        beforeEach(function () {
          sandbox.stub(Ember.$, 'post', function (route, cb) {
            cb();
          });
          sandbox.stub(Ember.Logger, 'debug');
          controller.actions.submitForm.call(controller);
        });
        (0, _emberMocha.it)('should indicate an error occured', function () {
          (0, _chai.expect)(Ember.Logger.debug.callCount).to.equal(1);
        });
      });
    });
  });
});
define('webdriverio-server/tests/unit/controllers/portal-test', ['exports', 'chai', 'ember-mocha', 'mocha'], function (exports, _chai, _emberMocha, _mocha) {

  var jQueryPrototype = Object.getPrototypeOf($('body'));

  var mockDB = [{
    username: 'test1',
    token: 'test-token1'
  }, {
    username: 'test2',
    token: 'test-token2'
  }, {
    username: 'test3',
    token: 'test-token3'
  }, {
    username: 'test4',
    token: 'test-token4'
  }, {
    username: 'test5',
    token: '123456789098765432134567890987654321234567890'
  }];

  (0, _emberMocha.describeModule)('controller:portal', 'PortalController', {
    unit: true,
    needs: ['model:developer']
  }, function () {
    var controller = undefined,
        sandbox = undefined,
        store = undefined;
    (0, _mocha.beforeEach)(function () {
      sandbox = sinon.sandbox.create();
      controller = this.subject();
      store = controller.get('store');
      sandbox.stub(store, 'query', function () {
        return Ember.RSVP.resolve(Ember.A(mockDB));
      });
    });

    (0, _mocha.afterEach)(function () {
      sandbox.restore();
    });

    (0, _mocha.describe)('initial state', function () {
      (0, _emberMocha.it)('should initialize username', function () {
        (0, _chai.expect)(controller.get('username')).to.equal('');
      });
      (0, _emberMocha.it)('should initialize a token', function () {
        (0, _chai.expect)(controller.get('token')).to.equal('');
      });
      (0, _emberMocha.it)('should set the selectedIndex to 1', function () {
        (0, _chai.expect)(controller.get('selectedIndex')).to.eql([0]);
      });
    });

    (0, _mocha.describe)('getAll()', function () {
      (0, _mocha.beforeEach)(function () {
        controller.actions.getAll.call(controller);
      });
      (0, _emberMocha.it)('should be called with the correct params', function () {
        (0, _chai.expect)(store.query.lastCall.args[1].queryAll).to.equal(1);
      });
      (0, _emberMocha.it)('shoudl be called with the correct model', function () {
        (0, _chai.expect)(store.query.lastCall.args[0]).to.equal('developer');
      });
    });

    (0, _mocha.describe)('formChange()', function () {
      (0, _emberMocha.it)('should set loginInfo to the value passed in', function () {
        var value = 'testLoginInfo';
        Ember.run(function () {
          controller.actions.formChange.call(controller, value);
        });
        (0, _chai.expect)(controller.get('info')).to.equal(value);
      });
    });

    (0, _mocha.describe)('formValidation()', function () {
      (0, _emberMocha.it)('should set isFormInvalid to true if the number of errors is greater than 0', function () {
        var validation = {
          errors: ['Massive Failure']
        };
        Ember.run(function () {
          controller.actions.formValidation.call(controller, validation);
        });
        (0, _chai.expect)(controller.get('isFormInvalid')).to.equal(true);
      });

      (0, _emberMocha.it)('should set isFormInvalid to false if the number of errors equals 0', function () {
        var validation = {
          errors: []
        };
        Ember.run(function () {
          controller.actions.formValidation.call(controller, validation);
        });
        (0, _chai.expect)(controller.get('isFormInvalid')).to.equal(false);
      });
    });

    (0, _mocha.describe)('updateDOM()', function () {
      (0, _mocha.beforeEach)(function () {
        sandbox.spy(jQueryPrototype, 'text');
        controller.set('username', 'test');
      });

      (0, _mocha.describe)('unrestricted token', function () {
        (0, _mocha.beforeEach)(function () {
          controller.set('token', 'test-token');
          controller.actions.updateDOM.call(controller);
        });

        (0, _emberMocha.it)('should update the username label', function () {
          (0, _chai.expect)(jQueryPrototype.text.firstCall.args[0]).to.equal('test');
        });

        (0, _emberMocha.it)('should update the token label', function () {
          (0, _chai.expect)(jQueryPrototype.text.secondCall.args[0]).to.equal('test-token');
        });
      });

      (0, _mocha.describe)('restricted token', function () {
        (0, _mocha.beforeEach)(function () {
          controller.set('token', '~');
          controller.actions.updateDOM.call(controller);
        });

        (0, _emberMocha.it)('should update the username label', function () {
          (0, _chai.expect)(jQueryPrototype.text.firstCall.args[0]).to.equal('test');
        });

        (0, _emberMocha.it)('should update the token label', function () {
          (0, _chai.expect)(jQueryPrototype.text.secondCall.args[0]).to.equal('~');
        });
      });
    });

    (0, _mocha.describe)('createUser()', function () {
      var returnVal = undefined;
      var record = {
        label: 'test',
        value: 'test-token'
      };

      (0, _mocha.beforeEach)(function () {
        returnVal = {
          username: record.label,
          token: record.value
        };
        controller.set('info', returnVal);
      });

      (0, _mocha.describe)('Creation is successful', function () {
        (0, _mocha.beforeEach)(function () {
          sandbox.stub(store, 'createRecord', function () {
            return Ember.Object.create({
              username: record.label,
              token: record.value,
              save: sandbox.spy(function () {
                return Ember.RSVP.resolve(returnVal);
              })
            });
          });
          controller.actions.createUser.call(controller, record);
        });

        (0, _mocha.describe)('Parameters Checking', function () {
          (0, _emberMocha.it)('Makes sure that the username is the same username as the passed-in token', function () {
            (0, _chai.expect)(store.createRecord.lastCall.args[1].username).to.equal(record.label);
          });

          (0, _emberMocha.it)('Makes sure that the token is the same as the passed-in token', function () {
            (0, _chai.expect)(store.createRecord.lastCall.args[1].token).to.equal(record.value);
          });

          (0, _emberMocha.it)('Makes sure that the first argument passed into the createRecord is the developer model', function () {
            (0, _chai.expect)(store.createRecord.lastCall.args[0]).to.equal('developer');
          });
        });
      });

      (0, _mocha.describe)('Creation is unsuccessful', function () {
        (0, _mocha.beforeEach)(function () {
          sandbox.stub(store, 'createRecord', function () {
            return Ember.Object.create({
              username: returnVal.username,
              token: returnVal.token,
              save: sandbox.spy(function () {
                return Ember.RSVP.reject();
              })
            });
          });
          sandbox.stub(Ember.Logger, 'debug');
          controller.set('data', Ember.A([record]));
          controller.actions.createUser.call(controller, record);
        });

        (0, _emberMocha.it)('should get rid of the single record in data', function () {
          (0, _chai.expect)(controller.get('data').toArray().length).to.equal(0);
        });

        (0, _emberMocha.it)('should call the debug function once when the promise reaches the catch statement', function () {
          (0, _chai.expect)(Ember.Logger.debug.callCount).to.equal(1);
        });
      });
    });

    (0, _mocha.describe)('createUserHandler()', function () {
      (0, _mocha.beforeEach)(function () {
        controller.set('info', {
          username: 'jdoe'
        });
        controller.set('data', Ember.A([{ label: 'test1', value: '1234' }]));
        sandbox.stub(controller.actions, 'createUser', function () {
          return Ember.Object.create({
            username: 'jdoe'
          });
        });
        controller.actions.createUserHandler.call(controller);
      });

      (0, _emberMocha.it)('should add the record with the correct username to the data array', function () {
        (0, _chai.expect)(controller.get('data')[0].label).to.equal('jdoe');
      });

      (0, _emberMocha.it)('should add the record with a token to the data array', function () {
        (0, _chai.expect)(controller.get('data')[0].value.length).to.equal(30);
      });

      (0, _emberMocha.it)('should set the selectedIndex to 0', function () {
        (0, _chai.expect)(controller.get('selectedIndex')).to.eql([0]);
      });
    });

    (0, _mocha.describe)('generateHandler() and unrestrictHandler()', function () {
      (0, _mocha.beforeEach)(function () {
        controller.set('username', 'test');
        sandbox.stub(controller.actions, 'createUser', function () {
          return Ember.Object.create({
            username: 'jdoe'
          });
        });
      });

      (0, _emberMocha.it)('should set a token to be 30 characters long', function () {
        controller.actions.generateHandler.call(controller);
        (0, _chai.expect)(controller.get('token').length).to.equal(30);
      });

      (0, _emberMocha.it)('should set a token to be 30 characters long', function () {
        controller.actions.unrestrictHandler.call(controller);
        (0, _chai.expect)(controller.get('token').length).to.equal(30);
      });
    });

    (0, _mocha.describe)('restrictHandler()', function () {
      (0, _mocha.beforeEach)(function () {
        controller.set('username', 'test');
        sandbox.stub(controller.actions, 'createUser', function () {
          return Ember.Object.create({
            username: 'jdoe'
          });
        });
        controller.actions.restrictHandler.call(controller);
      });

      (0, _emberMocha.it)('should set a token to be ~', function () {
        (0, _chai.expect)(controller.get('token')).to.equal('~');
      });
    });

    (0, _mocha.describe)('onChangeHandler', function () {
      (0, _mocha.beforeEach)(function () {
        var val = mockDB.map(function (item) {
          return {
            label: item.username,
            value: item.token
          };
        });
        controller.set('data', Ember.A(val));
        controller.actions.onChangeHandler.call(controller, mockDB[1].token);
      });

      (0, _emberMocha.it)('should set the username to the matching token', function () {
        (0, _chai.expect)(controller.get('username')).to.equal(mockDB[1].username);
      });

      (0, _emberMocha.it)('should set the token to the token parameter', function () {
        (0, _chai.expect)(controller.get('token')).to.equal(mockDB[1].token);
      });
    });

    (0, _mocha.describe)('updateData()', function () {
      var fakeDB = undefined,
          updatedData = undefined;
      (0, _mocha.beforeEach)(function () {
        fakeDB = [{
          label: 'test1',
          value: 'test-token1'
        }, {
          label: 'test2',
          value: 'test-token2'
        }];
        updatedData = {
          username: 'test1',
          token: 'updated-token'
        };
        controller.set('data', Ember.A(fakeDB));
        controller.actions.updateData.call(controller, updatedData.username, updatedData.token);
      });

      (0, _emberMocha.it)('should update the fakeDB', function () {
        (0, _chai.expect)(controller.get('data')[0].value).to.equal(updatedData.token);
      });
    });
  });
});
define('webdriverio-server/tests/unit/models/developer-test', ['exports', 'chai', 'ember-mocha', 'mocha'], function (exports, _chai, _emberMocha, _mocha) {

  var expectedAttrs = ['username', 'token'];

  (0, _emberMocha.describeModel)('developer', 'Developer', {
    unit: true
  }, function () {
    var actualAttrs = undefined,
        model = undefined;

    describe('Key tests', function () {
      (0, _mocha.beforeEach)(function () {
        model = this.subject();
        actualAttrs = Object.keys(model.toJSON());
      });

      expectedAttrs.forEach(function (name) {
        (0, _emberMocha.it)('defines attribute "' + name + '"', function () {
          (0, _chai.expect)(actualAttrs).to.include(name);
        });
      });

      (0, _emberMocha.it)('token should default to empty string', function () {
        (0, _chai.expect)(model.get('token')).to.equal('');
      });

      (0, _emberMocha.it)('username should be the username passed in', function () {
        (0, _chai.expect)(model.get('username')).to.equal('');
      });
    });

    describe('Non Default Tests', function () {
      (0, _mocha.beforeEach)(function () {
        model = this.subject({ username: 'test', token: '123456' });
      });

      (0, _emberMocha.it)('token should update if a token is passed in', function () {
        (0, _chai.expect)(model.get('token')).to.equal('123456');
      });

      (0, _emberMocha.it)('should update the username if a username is passed in', function () {
        (0, _chai.expect)(model.get('username')).to.equal('test');
      });
    });
  });
});
define('webdriverio-server/tests/unit/routes/auth-test', ['exports', 'chai', 'ember-mocha'], function (exports, _chai, _emberMocha) {

  (0, _emberMocha.describeModule)('route:auth', 'AuthRoute', {
    unit: true
  }, function () {
    (0, _emberMocha.it)('exists', function () {
      var route = this.subject();
      (0, _chai.expect)(route).to.be.ok;
    });
  });
});
define('webdriverio-server/tests/unit/routes/auth/contract-test', ['exports', 'chai', 'ember-mocha'], function (exports, _chai, _emberMocha) {

  (0, _emberMocha.describeModule)('route:auth/contract', 'AuthContractRoute', {
    unit: true,
    needs: ['model:developer']
  }, function () {
    var route = undefined,
        sandbox = undefined;

    beforeEach(function () {
      sandbox = sinon.sandbox.create();

      route = this.subject();
    });

    afterEach(function () {
      sandbox.restore();
    });

    describe('beforeModel()', function () {
      describe('Redirect Case', function () {
        beforeEach(function () {
          sandbox.stub(Ember.$, 'get', function (route, cb) {
            cb({ redirect: '/#/auth/denied?reason=1' });
          });
          sandbox.stub(route, 'transitionTo');
          route.beforeModel();
        });
        (0, _emberMocha.it)('should use a jquery request to check whether the session exists', function () {
          (0, _chai.expect)(Ember.$.get.lastCall.args[0]).to.equal('/session');
        });

        (0, _emberMocha.it)('should attempt to redirect to auth.denied with query params of {reason: 1}', function () {
          (0, _chai.expect)(route.transitionTo.lastCall.args[0]).to.equal('auth.denied');
          (0, _chai.expect)(route.transitionTo.lastCall.args[1]).to.eql({ queryParams: { reason: '1' } });
        });
      });

      describe('No redirection Case', function () {
        beforeEach(function () {
          sandbox.stub(Ember.$, 'get', function (route, cb) {
            cb();
          });
          sandbox.stub(route, 'transitionTo');
          route.beforeModel();
        });
        (0, _emberMocha.it)('should use a jquery request to check whether the session exists', function () {
          (0, _chai.expect)(Ember.$.get.lastCall.args[0]).to.equal('/session');
        });

        (0, _emberMocha.it)('should not attempt to redirect', function () {
          (0, _chai.expect)(route.transitionTo.callCount).to.equal(0);
        });
      });
    });
  });
});
define('webdriverio-server/tests/unit/routes/auth/denied-test', ['exports', 'chai', 'ember-mocha'], function (exports, _chai, _emberMocha) {

  (0, _emberMocha.describeModule)('route:auth/denied', 'AuthDeniedRoute', {
    unit: true
  }, function () {
    var route = undefined,
        sandbox = undefined;

    beforeEach(function () {
      sandbox = sinon.sandbox.create();
      route = this.subject();
    });

    afterEach(function () {
      sandbox.restore();
    });

    describe('model()', function () {
      var params = {
        reason: '0'
      };
      beforeEach(function () {
        sandbox.stub(Ember.Logger, 'debug');
      });

      (0, _emberMocha.it)('should return the reason', function () {
        (0, _chai.expect)(route.model(params)).to.equal(params.reason);
      });
    });

    describe('setupController()', function () {
      var controller = undefined,
          model = undefined,
          message = undefined;
      describe('Reason #1', function () {
        beforeEach(function () {
          model = '1';
          message = 'A denied access message';
          controller = Ember.Object.create();
          sandbox.stub(Ember.$, 'get', function (route, query, cb) {
            cb(message);
          });
          route.setupController(controller, model);
        });

        (0, _emberMocha.it)('should set the reason property to 1', function () {
          (0, _chai.expect)(controller.get('reason')).to.equal('1');
        });

        (0, _emberMocha.it)('should set the correct parameters', function () {
          (0, _chai.expect)(Ember.$.get.lastCall.args[0]).to.equal('/auth/denied');
          (0, _chai.expect)(Ember.$.get.lastCall.args[1]).to.eql({
            reason: model
          });
        });

        (0, _emberMocha.it)('should set the message to the correct message', function () {
          (0, _chai.expect)(controller.get('message')).to.equal(message);
        });
      });
    });
  });
});
define('webdriverio-server/tests/unit/routes/login-test', ['exports', 'chai', 'ember-mocha'], function (exports, _chai, _emberMocha) {

  (0, _emberMocha.describeModule)('route:login', 'LoginRoute', {
    unit: true
  }, function () {
    var route = undefined,
        sandbox = undefined,
        params = undefined;
    beforeEach(function () {
      sandbox = sinon.sandbox.create();
      route = this.subject();
      params = {
        failure: 1
      };
    });

    afterEach(function () {
      sandbox.restore();
    });
    describe('model()', function () {
      (0, _emberMocha.it)('should return the params passed in', function () {
        (0, _chai.expect)(route.model(params)).to.eql(params);
      });
    });
    describe('setupController()', function () {
      var controller = undefined;
      beforeEach(function () {
        controller = Ember.A();
      });

      (0, _emberMocha.it)('should set loginResult to true', function () {
        route.setupController(controller, params);
        (0, _chai.expect)(controller.get('loginResult')).to.equal(true);
      });

      (0, _emberMocha.it)('should set loginResult to false', function () {
        route.setupController(controller, {});
        (0, _chai.expect)(controller.get('loginResult')).to.equal(false);
      });
    });
  });
});
define('webdriverio-server/tests/unit/routes/portal-test', ['exports', 'chai', 'ember-mocha'], function (exports, _chai, _emberMocha) {

  (0, _emberMocha.describeModule)('route:portal', 'PortalRoute', {
    unit: true
  }, function () {
    var route = undefined,
        sandbox = undefined,
        params = undefined;
    beforeEach(function () {
      sandbox = sinon.sandbox.create();
      route = this.subject();
    });

    afterEach(function () {
      sandbox.restore();
    });
    describe('beforeModel()', function () {
      describe('Redirect case', function () {
        beforeEach(function () {
          sandbox.stub(Ember.$, 'get', function (route, cb) {
            cb('NotAuthenticated');
          });
          sandbox.stub(route, 'transitionTo');
          route.beforeModel();
        });
        (0, _emberMocha.it)('should transition to the login page', function () {
          (0, _chai.expect)(route.transitionTo.lastCall.args[0]).to.equal('login');
        });
      });
      describe('No redirection case', function () {
        beforeEach(function () {
          sandbox.stub(Ember.$, 'get', function (route, cb) {
            cb('Authenticated');
          });
          sandbox.stub(route, 'transitionTo');
          route.beforeModel();
        });
        (0, _emberMocha.it)('should transition to the login page', function () {
          (0, _chai.expect)(route.transitionTo.callCount).to.equal(0);
        });
      });
    });
  });
});
define('webdriverio-server/tests/unit/serializers/developer-test', ['exports', 'chai', 'ember-data', 'ember-mocha', 'mocha', 'webdriverio-server/models/developer', 'webdriverio-server/tests/helpers/store'], function (exports, _chai, _emberData, _emberMocha, _mocha, _webdriverioServerModelsDeveloper, _webdriverioServerTestsHelpersStore) {

  (0, _emberMocha.describeModule)('serializer:developer', 'DeveloperSerializer', {
    unit: true
  }, function () {
    var env = undefined,
        mockResourceClass = undefined,
        serializer = undefined,
        payload = undefined,
        response = undefined;

    (0, _mocha.beforeEach)(function () {
      serializer = this.subject();
      env = (0, _webdriverioServerTestsHelpersStore['default'])({
        adapter: _emberData['default'].RESTAdapter,
        developer: _webdriverioServerModelsDeveloper['default'],
        serializer: serializer
      });
      mockResourceClass = env.store.modelFor('developer');
    });

    afterEach(function () {
      payload = null;
      response = null;
    });

    (0, _emberMocha.it)('specified proper modelName', function () {
      var actual = serializer.get('modelName');
      (0, _chai.expect)(actual).to.equal('developer');
    });

    (0, _emberMocha.it)('specified proper primary key', function () {
      var actual = serializer.get('primaryKey');
      (0, _chai.expect)(actual).to.equal('username');
    });

    describe('.normalizeQueryRecordResponse()', function () {

      (0, _mocha.beforeEach)(function () {
        payload = {
          username: 'test',
          token: 'abc123'
        };
      });

      (0, _emberMocha.it)('normalizes the query record reponse to be of type developer', function () {
        response = serializer.normalizeQueryRecordResponse(env.store, mockResourceClass, payload, null, null);
        (0, _chai.expect)(response.data['type']).to.equal('developer');
      });

      (0, _emberMocha.it)('normalizes the query record response', function () {
        response = serializer.normalizeQueryRecordResponse(env.store, mockResourceClass, payload, null, null);
        (0, _chai.expect)(response.data['attributes']).to.deep.equal(payload);
      });
    });

    describe('.normalizeCreateRecordResponse()', function () {

      (0, _mocha.beforeEach)(function () {
        payload = {
          username: 'testCreate',
          token: 'abc1234'
        };
      });

      (0, _emberMocha.it)('normalizes the create record reponse to be of type developer', function () {
        response = serializer.normalizeCreateRecordResponse(env.store, mockResourceClass, payload, null, null);
        (0, _chai.expect)(response.data['type']).to.equal('developer');
      });

      (0, _emberMocha.it)('normalizes the create record response', function () {
        response = serializer.normalizeCreateRecordResponse(env.store, mockResourceClass, payload, null, null);
        (0, _chai.expect)(response.data['attributes']).to.deep.equal(payload);
      });
    });

    describe('.normalizeDeleteRecordResponse()', function () {
      (0, _mocha.beforeEach)(function () {
        payload = {
          username: 'testDelete',
          token: 'abc123deletetoken'
        };
      });

      (0, _emberMocha.it)('normalizes the delete record reponse to be of type developer', function () {
        response = serializer.normalizeDeleteRecordResponse(env.store, mockResourceClass, payload, null, null);
        (0, _chai.expect)(response.data['type']).to.equal('developer');
      });

      (0, _emberMocha.it)('normalizes the delete record response', function () {
        response = serializer.normalizeDeleteRecordResponse(env.store, mockResourceClass, payload, null, null);
        (0, _chai.expect)(response.data['attributes']).to.deep.equal(payload);
      });
    });
  });
});
/* jshint ignore:start */

require('webdriverio-server/tests/test-helper');
EmberENV.TESTS_FILE_LOADED = true;

/* jshint ignore:end */
//# sourceMappingURL=tests.map